TestCopyFormToContext (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.generic
Class TestCopyFormToContext

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.chain.commands.generic.TestCopyFormToContext

All Implemented Interfaces:
  junit.framework.Test

    public class TestCopyFormToContext

extends junit.framework.TestCase

Version:
  $Id: TestCopyFormToContext.java 161516 2005-04-15 19:22:47Z germuska $

Constructor Summary
`TestCopyFormToContext()`

Method Summary
`static void` | `main(String[] args)`
`protected void` | `setUp()`
`void` | `testCopyToDefaultContextKey()`
`void` | `testExceptionHandlingWithNullEverything()`
`void` | `testExceptionHandlingWithNullFormName()`
`void` | `testLookupByActionPath()`
`void` | `testLookupByNameAndRequestScope()`
`void` | `testLookupByNameAndSessionScope()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCopyFormToContext

    public TestCopyFormToContext()

Method Detail

### main

    public static void main(String[] args)

### setUp

    protected void setUp()
                  throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### testLookupByNameAndRequestScope

    public void testLookupByNameAndRequestScope()
                                         throws Exception

  Throws:
    `Exception`

### testLookupByActionPath

    public void testLookupByActionPath()
                                throws Exception

  Throws:
    `Exception`

### testLookupByNameAndSessionScope

    public void testLookupByNameAndSessionScope()
                                         throws Exception

  Throws:
    `Exception`

### testExceptionHandlingWithNullFormName

    public void testExceptionHandlingWithNullFormName()
                                               throws Exception

  Throws:
    `Exception`

### testExceptionHandlingWithNullEverything

    public void testExceptionHandlingWithNullEverything()
                                                 throws Exception

  Throws:
    `Exception`

### testCopyToDefaultContextKey

    public void testCopyToDefaultContextKey()
                                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.